#include "twn_draw.h"
#include "twn_draw_c.h"

#include <SDL2/SDL.h>

static char *paths_in_use;

void draw_skybox(const char *paths) {
    if (paths_in_use && SDL_strcmp(paths, paths_in_use) == 0)
        return;

    if (paths_in_use)
        SDL_free(paths_in_use);

    paths_in_use = SDL_strdup(paths);
}


void render_skybox(void) {
    if (!paths_in_use)
        return;

    /* note: ownership of 'paths_in_use' goes there */
    finally_render_skybox(paths_in_use);
    paths_in_use = NULL;
}
